commit:     cf8b737346f396dff1e0d0c8541b3f1c4fd88583
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  3 04:48:35 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Dec  3 04:50:26 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf8b7373

dev-libs/pkcs11-helper: adapt for OpenSSL bindist changes

OpenSSL no longer has a bindist flag.

Bug: https://bugs.gentoo.org/762850
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../pkcs11-helper/pkcs11-helper-1.27.0-r1.ebuild   | 47 ++++++++++++++++++++++
 1 file changed, 47 insertions(+)

diff --git a/dev-libs/pkcs11-helper/pkcs11-helper-1.27.0-r1.ebuild 
b/dev-libs/pkcs11-helper/pkcs11-helper-1.27.0-r1.ebuild
new file mode 100644
index 000000000000..ea71073fb0c1
--- /dev/null
+++ b/dev-libs/pkcs11-helper/pkcs11-helper-1.27.0-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="PKCS#11 helper library"
+HOMEPAGE="https://github.com/OpenSC/pkcs11-helper";
+
+if [[ $(ver_cut 3) -eq 0 ]]; then
+       MY_PV=$(ver_cut 1-2)
+else
+       MY_PV=${PV}
+fi
+
+SRC_URI="https://github.com/OpenSC/${PN}/releases/download/${PN}-${MY_PV}/${P}.tar.bz2";
+
+LICENSE="|| ( BSD GPL-2 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86"
+IUSE="doc gnutls nss static-libs"
+
+RDEPEND="
+       >=dev-libs/openssl-0.9.7:=
+       gnutls? ( >=net-libs/gnutls-1.4.4 )
+       nss? ( dev-libs/nss )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig
+       doc? ( >=app-doc/doxygen-1.4.7 )"
+
+PATCHES=(
+       "${FILESDIR}/${P}-nss.patch"
+)
+
+src_configure() {
+       econf \
+               --disable-crypto-engine-polarssl \
+               --disable-crypto-engine-mbedtls \
+               $(use_enable doc) \
+               $(use_enable gnutls crypto-engine-gnutls) \
+               $(use_enable nss crypto-engine-nss) \
+               $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to